Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class JDKDigestSignature

    java.lang.Object
      java.security.SignatureSpi
          org.bouncycastle.jce.provider.JDKDigestSignature

Direct Known Subclasses:
  JDKDigestSignature.MD2WithRSAEncryption, JDKDigestSignature.MD4WithRSAEncryption, JDKDigestSignature.MD5WithRSAEncryption, JDKDigestSignature.noneRSA, JDKDigestSignature.RIPEMD128WithRSAEncryption, JDKDigestSignature.RIPEMD160WithRSAEncryption, JDKDigestSignature.RIPEMD256WithRSAEncryption, JDKDigestSignature.SHA1WithRSAEncryption, JDKDigestSignature.SHA224WithRSAEncryption, JDKDigestSignature.SHA256WithRSAEncryption, JDKDigestSignature.SHA384WithRSAEncryption, JDKDigestSignature.SHA512WithRSAEncryption

    public class JDKDigestSignature

extends java.security.SignatureSpi

Nested Class Summary
`static class` `JDKDigestSignature.MD2WithRSAEncryption`
`static class` `JDKDigestSignature.MD4WithRSAEncryption`
`static class` `JDKDigestSignature.MD5WithRSAEncryption`
`static class` `JDKDigestSignature.noneRSA`
`static class` `JDKDigestSignature.RIPEMD128WithRSAEncryption`
`static class` `JDKDigestSignature.RIPEMD160WithRSAEncryption`
`static class` `JDKDigestSignature.RIPEMD256WithRSAEncryption`
`static class` `JDKDigestSignature.SHA1WithRSAEncryption`
`static class` `JDKDigestSignature.SHA224WithRSAEncryption`
`static class` `JDKDigestSignature.SHA256WithRSAEncryption`
`static class` `JDKDigestSignature.SHA384WithRSAEncryption`
`static class` `JDKDigestSignature.SHA512WithRSAEncryption`

Field Summary

Fields inherited from class java.security.SignatureSpi
`appRandom`

Constructor Summary
`protected` `JDKDigestSignature(DERObjectIdentifier objId, Digest digest, AsymmetricBlockCipher cipher)`
`protected` `JDKDigestSignature(Digest digest, AsymmetricBlockCipher cipher)`

Method Summary
`protected java.lang.Object` `engineGetParameter(java.lang.String param)` Deprecated.
`protected java.security.AlgorithmParameters` `engineGetParameters()`
`protected void` `engineInitSign(java.security.PrivateKey privateKey)`
`protected void` `engineInitVerify(java.security.PublicKey publicKey)`
`protected void` `engineSetParameter(java.security.spec.AlgorithmParameterSpec params)`
`protected void` `engineSetParameter(java.lang.String param, java.lang.Object value)` Deprecated. replaced with
`protected byte[]` `engineSign()`
`protected void` `engineUpdate(byte b)`
`protected void` `engineUpdate(byte[] b, int off, int len)`
`protected boolean` `engineVerify(byte[] sigBytes)`

Methods inherited from class java.security.SignatureSpi
`clone, engineInitSign, engineSign, engineUpdate, engineVerify`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKDigestSignature

    protected JDKDigestSignature(Digest digest,
                                 AsymmetricBlockCipher cipher)

### JDKDigestSignature

    protected JDKDigestSignature(DERObjectIdentifier objId,
                                 Digest digest,
                                 AsymmetricBlockCipher cipher)

Method Detail

### engineInitVerify

    protected void engineInitVerify(java.security.PublicKey publicKey)
                             throws java.security.InvalidKeyException

  Specified by:
    `engineInitVerify` in class `java.security.SignatureSpi`
  Throws:
    `java.security.InvalidKeyException`

### engineInitSign

    protected void engineInitSign(java.security.PrivateKey privateKey)
                           throws java.security.InvalidKeyException

  Specified by:
    `engineInitSign` in class `java.security.SignatureSpi`
  Throws:
    `java.security.InvalidKeyException`

### engineUpdate

    protected void engineUpdate(byte b)
                         throws java.security.SignatureException

  Specified by:
    `engineUpdate` in class `java.security.SignatureSpi`
  Throws:
    `java.security.SignatureException`

### engineUpdate

    protected void engineUpdate(byte[] b,
                                int off,
                                int len)
                         throws java.security.SignatureException

  Specified by:
    `engineUpdate` in class `java.security.SignatureSpi`
  Throws:
    `java.security.SignatureException`

### engineSign

    protected byte[] engineSign()
                         throws java.security.SignatureException

  Specified by:
    `engineSign` in class `java.security.SignatureSpi`
  Throws:
    `java.security.SignatureException`

### engineVerify

    protected boolean engineVerify(byte[] sigBytes)
                            throws java.security.SignatureException

  Specified by:
    `engineVerify` in class `java.security.SignatureSpi`
  Throws:
    `java.security.SignatureException`

### engineSetParameter

    protected void engineSetParameter(java.security.spec.AlgorithmParameterSpec params)

  Overrides:
    `engineSetParameter` in class `java.security.SignatureSpi`

### engineSetParameter

    protected void engineSetParameter(java.lang.String param,
                                      java.lang.Object value)

  Deprecated. replaced with

  Specified by:
    `engineSetParameter` in class `java.security.SignatureSpi`

### engineGetParameter

    protected java.lang.Object engineGetParameter(java.lang.String param)

  Deprecated.

  Specified by:
    `engineGetParameter` in class `java.security.SignatureSpi`

### engineGetParameters

    protected java.security.AlgorithmParameters engineGetParameters()

  Overrides:
    `engineGetParameters` in class `java.security.SignatureSpi`

Bouncy Castle Cryptography Library 1.45